Description

Subtasks:

Task # 393: Roles key Is only updated when changed Closed
Task # 394: Authentication script will use vendor code and attribute unless roles_key i... Closed
Task # 395: Vendor code and attribute ID was parsed from the roles_key Closed

Associated revisions

Revision 46 - 08/13/2012 06:56 AM - Luke Murphey

Added ability to set the roles on the setup screen by specifying the vendor code and attribute ID individually. Closes #392.

Revision 40 - 08/13/2012 06:56 AM - Luke Murphey

Added ability to set the roles on the setup screen by specifying the vendor code and attribute ID individually. Closes #392.

History

#1 - 08/11/2012 09:20 PM - Luke Murphey

We may want to handle Vendor ID and vendor key separately. Below are some notes on how it ought to function:
e When entering a vendor ID or key, the roles_key will be updated only if it is effectively different. Otherwise, the role key will be reverted to blank
and the vendor ID and key will be used instead.

e The authentication script will try to use the roles_key if not blank to find the roles and will then try to use the vendor ID and key otherwise
¢ If the vendor ID or key are blank, the REST handler will return the items as parsed from the roles key (if it is set)

#2 - 08/11/2012 09:21 PM - Luke Murphey

- Status changed from New to In Progress

#3 - 08/12/2012 08:08 PM - Luke Murphey

Need to make sure that the auth script:

® |gnores a roles key that is empty
e Prints out the attributes received from the RADIUS server cleanly

#4 - 08/13/2012 06:57 AM - Luke Murphey

- Status changed from In Progress to Closed

Applied in changeset r46.
